OpenGL-3.0.3.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2002-2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.GL.Feedback

Description

This module corresponds to section 5.3 (Feedback) of the OpenGL 2.1 specs.

# Documentation

data FeedbackToken Source #

Constructors

PointToken VertexInfo |
LineToken VertexInfo VertexInfo |
LineResetToken VertexInfo VertexInfo |
PolygonToken [VertexInfo] |
BitmapToken VertexInfo |
DrawPixelToken VertexInfo |
CopyPixelToken VertexInfo |
PassThroughToken PassThroughValue |

#### Instances

Instances details

Show FeedbackToken Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Feedback Methods showsPrec :: Int -> FeedbackToken -> ShowS Source # show :: FeedbackToken -> String Source # showList :: [FeedbackToken] -> ShowS Source #
Eq FeedbackToken Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Feedback Methods (==) :: FeedbackToken -> FeedbackToken -> Bool Source # (/=) :: FeedbackToken -> FeedbackToken -> Bool Source #
Ord FeedbackToken Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.Feedback

Methods

compare :: FeedbackToken -> FeedbackToken -> Ordering Source #

(<) :: FeedbackToken -> FeedbackToken -> Bool Source #

(<=) :: FeedbackToken -> FeedbackToken -> Bool Source #

(>) :: FeedbackToken -> FeedbackToken -> Bool Source #

(>=) :: FeedbackToken -> FeedbackToken -> Bool Source #

max :: FeedbackToken -> FeedbackToken -> FeedbackToken Source #

min :: FeedbackToken -> FeedbackToken -> FeedbackToken Source #

data VertexInfo Source #

Constructors

Vertex2D (Vertex2 GLfloat) |
Vertex3D (Vertex3 GLfloat) |
Vertex3DColor (Vertex3 GLfloat) ColorInfo |
Vertex3DColorTexture (Vertex3 GLfloat) ColorInfo (TexCoord4 GLfloat) |
Vertex4DColorTexture (Vertex4 GLfloat) ColorInfo (TexCoord4 GLfloat) |

#### Instances

Instances details

Show VertexInfo Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Feedback Methods showsPrec :: Int -> VertexInfo -> ShowS Source # show :: VertexInfo -> String Source # showList :: [VertexInfo] -> ShowS Source #
Eq VertexInfo Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Feedback Methods (==) :: VertexInfo -> VertexInfo -> Bool Source # (/=) :: VertexInfo -> VertexInfo -> Bool Source #
Ord VertexInfo Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.Feedback

Methods

compare :: VertexInfo -> VertexInfo -> Ordering Source #

(<) :: VertexInfo -> VertexInfo -> Bool Source #

(<=) :: VertexInfo -> VertexInfo -> Bool Source #

(>) :: VertexInfo -> VertexInfo -> Bool Source #

(>=) :: VertexInfo -> VertexInfo -> Bool Source #

max :: VertexInfo -> VertexInfo -> VertexInfo Source #

min :: VertexInfo -> VertexInfo -> VertexInfo Source #

type ColorInfo = Either (Index1 GLint) (Color4 GLfloat) Source #

data FeedbackType Source #

Constructors

TwoD |
ThreeD |
ThreeDColor |
ThreeDColorTexture |
FourDColorTexture |

#### Instances

Instances details

Show FeedbackType Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Feedback Methods showsPrec :: Int -> FeedbackType -> ShowS Source # show :: FeedbackType -> String Source # showList :: [FeedbackType] -> ShowS Source #
Eq FeedbackType Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Feedback Methods (==) :: FeedbackType -> FeedbackType -> Bool Source # (/=) :: FeedbackType -> FeedbackType -> Bool Source #
Ord FeedbackType Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.Feedback

Methods

compare :: FeedbackType -> FeedbackType -> Ordering Source #

(<) :: FeedbackType -> FeedbackType -> Bool Source #

(<=) :: FeedbackType -> FeedbackType -> Bool Source #

(>) :: FeedbackType -> FeedbackType -> Bool Source #

(>=) :: FeedbackType -> FeedbackType -> Bool Source #

max :: FeedbackType -> FeedbackType -> FeedbackType Source #

min :: FeedbackType -> FeedbackType -> FeedbackType Source #

getFeedbackTokens :: GLsizei -> FeedbackType -> IO a -> IO (a, Maybe [FeedbackToken]) Source #

newtype PassThroughValue Source #

Constructors

PassThroughValue GLfloat |

#### Instances

Instances details

Show PassThroughValue Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Feedback Methods showsPrec :: Int -> PassThroughValue -> ShowS Source # show :: PassThroughValue -> String Source # showList :: [PassThroughValue] -> ShowS Source #
Eq PassThroughValue Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Feedback Methods (==) :: PassThroughValue -> PassThroughValue -> Bool Source # (/=) :: PassThroughValue -> PassThroughValue -> Bool Source #
Ord PassThroughValue Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.Feedback

Methods

compare :: PassThroughValue -> PassThroughValue -> Ordering Source #

(<) :: PassThroughValue -> PassThroughValue -> Bool Source #

(<=) :: PassThroughValue -> PassThroughValue -> Bool Source #

(>) :: PassThroughValue -> PassThroughValue -> Bool Source #

(>=) :: PassThroughValue -> PassThroughValue -> Bool Source #

max :: PassThroughValue -> PassThroughValue -> PassThroughValue Source #

min :: PassThroughValue -> PassThroughValue -> PassThroughValue Source #

passThrough :: PassThroughValue -> IO () Source #